import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // Optional for this endpoint — omit to return the note looked up across all phones your token can access
});
async function fetchNotes() {
const response = await client.reaction.getNoteById({
note_id: 'true_xxxxxxxxx-9892-40e9-af89-be65916ac089_bharat@hashlabs.dev'
});
console.log(response);
}
fetchNotes();# x-phone is optional for this endpoint — omit it to return the note looked up across all phones your token can access
curl -X GET "https://api.periskope.app/v1/note/{note_id}" \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json' \
-H 'x-phone: 919876543210' \
-d '{
"note_id": "true_91953785XXXX@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C"
}'{
"message_id": "true_2dc1aa2c-d711-4497-864d-92bb5709xxxx_api",
"org_id": "2997dd64-89bf-48d3-9a22-b314fca0xxxx",
"ack": "3",
"body": "testing with a new note payload",
"from_me": true,
"message_type": "audio",
"chat_id": "91882424xxxx@c.us",
"timestamp": "2025-08-20T10:58:27.642+00:00",
"org_phone": "91852718xxxx@c.us",
"performed_by": "api",
"prev_body": null,
"quoted_message_id": null,
"sender_phone": "91852718xxxx@c.us",
"sent_message_id": "2dc1aa2c-d711-4497-864d-92bb57092073",
"updated_at": "2025-08-20T10:58:27.642+00:00",
"is_private_note": true,
"media": {
"path": "https://storage.googleapis.com/periskope-attachments/2997dd64-89bf-48d3-9a22-b314fca017e5%2F918527184400%40c.us%2F2dc1aa2c-d711-4497-864d-92bb57092073%2Fbeep.wav",
"filename": "beep.wav",
"mimetype": "audio/wav"
},
"unique_id": "2dc1aa2c-d711-4497-864d-92bb57092073",
"mentioned_ids": [],
"is_deleted": null
}Get Private Note
This endpoint retrieves a specific private note based on a specific note_id.
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // Optional for this endpoint — omit to return the note looked up across all phones your token can access
});
async function fetchNotes() {
const response = await client.reaction.getNoteById({
note_id: 'true_xxxxxxxxx-9892-40e9-af89-be65916ac089_bharat@hashlabs.dev'
});
console.log(response);
}
fetchNotes();# x-phone is optional for this endpoint — omit it to return the note looked up across all phones your token can access
curl -X GET "https://api.periskope.app/v1/note/{note_id}" \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json' \
-H 'x-phone: 919876543210' \
-d '{
"note_id": "true_91953785XXXX@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C"
}'{
"message_id": "true_2dc1aa2c-d711-4497-864d-92bb5709xxxx_api",
"org_id": "2997dd64-89bf-48d3-9a22-b314fca0xxxx",
"ack": "3",
"body": "testing with a new note payload",
"from_me": true,
"message_type": "audio",
"chat_id": "91882424xxxx@c.us",
"timestamp": "2025-08-20T10:58:27.642+00:00",
"org_phone": "91852718xxxx@c.us",
"performed_by": "api",
"prev_body": null,
"quoted_message_id": null,
"sender_phone": "91852718xxxx@c.us",
"sent_message_id": "2dc1aa2c-d711-4497-864d-92bb57092073",
"updated_at": "2025-08-20T10:58:27.642+00:00",
"is_private_note": true,
"media": {
"path": "https://storage.googleapis.com/periskope-attachments/2997dd64-89bf-48d3-9a22-b314fca017e5%2F918527184400%40c.us%2F2dc1aa2c-d711-4497-864d-92bb57092073%2Fbeep.wav",
"filename": "beep.wav",
"mimetype": "audio/wav"
},
"unique_id": "2dc1aa2c-d711-4497-864d-92bb57092073",
"mentioned_ids": [],
"is_deleted": null
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional. The phone to scope this request to — in country code + number format with no spaces or special characters (e.g. 919876543210), or the phone_id (phone-xxxxxxxxxxxx). When set, the note is looked up for that phone. When omitted, the note is looked up across all phones your token can access (the phones in your token's scope, or every phone in your organization if the token is unscoped); note_id is effectively unique, so a single note is returned. Passing a phone that is outside your token's scope returns a 401.
"{{orgPhone}}"
Path Parameters
- The note_id of the private note
"true_91953785XXXX@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C"
Response
Note
The response is a note object. Refer to the note object here
Was this page helpful?